> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Handle Donor File Uploads



## OpenAPI

````yaml get /frontend/donor/dashboard/uploads/{client_id}/{program_id}/{entity_id}/{session_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /frontend/donor/dashboard/uploads/{client_id}/{program_id}/{entity_id}/{session_id}:
    get:
      tags:
        - Frontend Donor
      summary: Handle Donor File Uploads
      operationId: 3500da0d1ff8fc730b0069523e3ccf6f
      parameters:
        - name: client_id
          in: path
          description: Unique identifier for the client
          required: true
          schema:
            type: string
        - name: program_id
          in: path
          description: Unique identifier for the program
          required: true
          schema:
            type: string
        - name: entity_id
          in: path
          description: Unique identifier for the entity
          required: true
          schema:
            type: string
        - name: session_id
          in: path
          description: Session identifier for the donor
          required: true
          schema:
            type: string
      responses:
        '200':
          description: File upload information and status
          content:
            application/json:
              schema:
                properties:
                  session_id:
                    type: string
                  client_id:
                    type: string
                  program_id:
                    type: string
                  id:
                    type: string
                  type:
                    type: string
                  upload:
                    type: object
                  slug:
                    type: string
                  box_folder_id:
                    type: string
                  box_access_token:
                    type: string
                  program:
                    type: object
                  files_full:
                    type: boolean
                  number_of_files_allowed:
                    type: integer
                  entity_id:
                    type: string
                  disable_program_link:
                    type: string
                type: object
        '401':
          description: Unauthorized - Session expired or user not logged in
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                  redirect:
                    type: string
                type: object
      security:
        - sessionIdAuth: []
components:
  securitySchemes:
    sessionIdAuth:
      type: apiKey
      description: Use a session id to authenticate
      name: session_id
      in: header

````